%define		php_name	php%{?php_suffix}
%define		modname		xslcache
Summary:	%{modname} - A modification of PHP's standard XSL extension that caches the parsed XSL stylesheet representation
Summary(pl.UTF-8):	%{modname} - modyfikacja standardowego rozszerzenia XSL PHP, które buforuje przetworzone reprezentacje arkuszów stylów XSL
Name:		%{php_name}-pecl-%{modname}
Version:	0.7.2
Release:	4
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	8c8570503baf7c9711f2d7bf842c292d
URL:		http://pecl.php.net/package/xslcache
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	libxslt-devel >= 1.1.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-xslcache < 0.7.2-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The XSL Cache extension is a modification of PHP's standard XSL
extension that caches the parsed XSL stylesheet representation between
sessions for 2.5x boost in performance for sites that repeatedly apply
the same transform. Although there is still some further work that
could be done on the extension, this code is already proving
beneficial in production use for a few applications on the New York
Times' website.

%prep
%setup -q -c
mv %{modname}-%{version}/* .

%build
phpize
%configure \
	--with-xslcache=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Apr 16 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-xslcache.git;a=log;h=auto/th/php-pecl-xslcache-0.7.2-4

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 100717a
- obsolete old php name
- release 4 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> b8386da
- php 5.5 rebuild
- release 3 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 8ad34e9
- provide php(extname) to really be supporting multiple php versions

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> bc0b38b
- up to 0.7.2

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 7086930
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 3304328
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 9db23d2
- release 4 (by relup.sh)

* Fri Oct 14 2011 Elan Ruusamäe <glen@pld-linux.org> c38424a
- remove unused tests bcond

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 1653aa0
- unified preamble in %changelog

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> e91f8a5
- %install should begin with rm -rf $RPM_BUILD_ROOT; unified %install a little

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d33238a
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> e35340a
- release 2

* Sat Jan 16 2010 Elan Ruusamäe <glen@pld-linux.org> fb30ee9
- cleanup, requires devel package to build

* Sat Jan 16 2010 amateja <amateja@pld-linux.org> 58838bc
- initial

